#version 140

uniform sampler2D tex;
uniform vec3 diffuse;

in vec3 v_color;
in vec2 v_tex_coords;

out vec4 color;

void main() {

    color = vec4(v_color.x, v_color.y, v_color.z, 1.0);

    if (texture(tex, v_tex_coords).a < 0.05) {
        discard;
    }
}

